#pragma once

#include "map.hpp"
#include "texture.hpp"

void PRunBoostrap();

class PhoenixGame {
public:
  PhoenixGame();

  void present();

  void run();

  void render();

private:
  bool mb_isOpen = false;
  Map m_currentMap;
  SDL_Rect m_viewport;
};
